%define gitdate 20180721

Summary:   Cached AppStream metadata
Name:      appstream-data
Version:   8
Release:   %{gitdate}%{?dist}
BuildArch: noarch
License:   CC0 and CC-BY and CC-BY-SA and GFDL
URL:       http://people.redhat.com/rhughes/metadata/
Source1:   http://people.redhat.com/rhughes/metadata/rhel-%{version}-%{gitdate}.xml.gz
Source2:   http://people.redhat.com/rhughes/metadata/rhel-%{version}-%{gitdate}-icons.tar.gz
Source3:   https://raw.githubusercontent.com/hughsie/fedora-appstream/master/appstream-extra/adobe-flash.xml
Source4:   https://raw.githubusercontent.com/hughsie/fedora-appstream/master/appstream-extra/gstreamer-non-free.xml
Source5:   https://raw.githubusercontent.com/hughsie/fedora-appstream/master/appstream-extra/other-repos.xml
Source6:   https://raw.githubusercontent.com/hughsie/fedora-appstream/master/appstream-extra/fedora-categories.xml
Source7:   https://raw.githubusercontent.com/hughsie/fedora-appstream/master/appstream-extra/fedora-popular.xml

# This is built using:
# sshfs user@host:/media/bulk/mirror/RHEL mnt
# reposync --repo rhel-8.0 -p mnt/rhel-8.0-candidate/
# reposync --repo rhel-8.0-appstream -p mnt/rhel-8.0-appstream/
# https://github.com/hughsie/appstream-scripts/blob/master/rhel/rhel-8.0-candidate.sh
#
# [rhel-8.0]
# name=Nightly Packages for Enterprise Linux 8 - $basearch
# baseurl=http://download.eng.brq.redhat.com/composes/nightly/latest-RHEL-8.0/compose/Client/x86_64/os/
# enabled=0
# gpgcheck=0
#
# [rhel-8.0-appstream]
# name=Nightly Packages for Enterprise Linux 8 - $basearch
# baseurl=http://download.eng.brq.redhat.com/composes/nightly/RHEL-8/additional-nightly/latest-RHEL-8/compose/AppStream/x86_64/os/
# enabled=0
# gpgcheck=0

BuildRequires: libappstream-glib

%description
This package provides the distribution specific AppStream metadata required
for the GNOME and KDE software centers.

%install

DESTDIR=%{buildroot} appstream-util install-origin rhel-8 %{SOURCE1} %{SOURCE2}
DESTDIR=%{buildroot} appstream-util install \
	%{SOURCE3} %{SOURCE4} %{SOURCE5} %{SOURCE6} %{SOURCE7}

%files
%attr(0644,root,root) %{_datadir}/app-info/xmls/*
%{_datadir}/app-info/icons/rhel-%{version}/*/*.png
%dir %{_datadir}/app-info
%dir %{_datadir}/app-info/icons
%dir %{_datadir}/app-info/icons/rhel-%{version}/64x64
%dir %{_datadir}/app-info/icons/rhel-%{version}/128x128
%dir %{_datadir}/app-info/xmls

%changelog
* Fri Jul 20 2018 Richard Hughes <richard@hughsie.com> 8-20180721
- Regenerate the RHEL metadata using rhel-8.0-appstream

* Thu Jul 19 2018 Richard Hughes <richard@hughsie.com> 8-20180720
- Regenerate the RHEL metadata using rhel-8.0-candidate

